<script lang="ts">
import { Line, mixins } from "vue-chartjs";

import { Component, Vue, Prop } from "vue-property-decorator";
import { Chart } from "chart.js";
import moment from "moment";

const { reactiveProp } = mixins;

@Component({
  extends: Line,
  mixins: [reactiveProp]
})
export default class UsageGraph extends Vue {
  @Prop() chartData!: any;

  private chartOptions = {
    scales: {
      xAxes: [{ gridLines: { display: false }, ticks: { beginAtZero: true } }],
      yAxes: [
        {
          gridLines: { display: false },
          ticks: { min: 0, beginAtZero: true, precision: 0 }
        }
      ]
    }
  };

  private mounted() {
    // @ts-ignore
    this.renderChart(this.chartData, this.chartOptions);
  }
}
</script>

<style lang="scss" scoped>
</style>
